using System.IO;

namespace VCommon.IO
{
    public static class StreamExtensionMethod
    {
        public static byte[] ReadFully(this Stream input)
        {
            //REF stackoverflow.com/a/221941/2430943

            var buffer = new byte[16 * 1024];
            using (var ms = new MemoryStream())
            {
                int read;
                while ((read = input.Read(buffer, 0, buffer.Length)) > 0) ms.Write(buffer, 0, read);
                return ms.ToArray();
            }
        }
    }
}